## cascading.operation.expression
Class ExpressionOperation

    java.lang.Object
      cascading.operation.BaseOperation<ExpressionOperation.Context>
          cascading.operation.expression.ExpressionOperation

All Implemented Interfaces:
  Operation<ExpressionOperation.Context>, Serializable

Direct Known Subclasses:
  AssertExpression, ExpressionFilter, ExpressionFunction

    public class ExpressionOperation

extends BaseOperation<ExpressionOperation.Context>

Class ExpressionOperation is the base class for `ExpressionFunction`, `ExpressionFilter`, `AssertExpression`.

See Also:
  Serialized Form

Nested Class Summary
`static class` `ExpressionOperation.Context`

Field Summary
`protected String` `expression` Field expression

Fields inherited from class cascading.operation.BaseOperation
`fieldDeclaration, numArgs, trace`

Fields inherited from interface cascading.operation.Operation
`ANY`

Constructor Summary
`protected` `ExpressionOperation(Fields fieldDeclaration, String expression)`
`protected` `ExpressionOperation(Fields fieldDeclaration, String expression, Class parameterType)`
`protected` `ExpressionOperation(Fields fieldDeclaration, String expression, String[] parameterNames, Class[] parameterTypes)`
`protected` `ExpressionOperation(String expression, Class parameterType)`
`protected` `ExpressionOperation(String expression, String[] parameterNames, Class[] parameterTypes)`

Method Summary
`boolean` `equals(Object object)`
`protected Comparable` `evaluate(ExpressionOperation.Context context, TupleEntry input)` Performs the actual expression evaluation.
`int` `hashCode()`
`void` `prepare(FlowProcess flowProcess, OperationCall<ExpressionOperation.Context> operationCall)` Method prepare does nothing, and may safely be overridden.

Methods inherited from class cascading.operation.BaseOperation
`cleanup, getFieldDeclaration, getNumArgs, getTrace, isSafe, printOperationInternal, toString, toStringInternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### expression

    protected String expression

  Field expression

Constructor Detail

### ExpressionOperation

    @ConstructorProperties(value={"fieldDeclaration","expression"})
    protected ExpressionOperation(Fields fieldDeclaration,
                                                             String expression)

### ExpressionOperation

    @ConstructorProperties(value={"fieldDeclaration","expression","parameterType"})
    protected ExpressionOperation(Fields fieldDeclaration,
                                                             String expression,
                                                             Class parameterType)

### ExpressionOperation

    @ConstructorProperties(value={"fieldDeclaration","expression","parameterNames","parameterTypes"})
    protected ExpressionOperation(Fields fieldDeclaration,
                                                             String expression,
                                                             String[] parameterNames,
                                                             Class[] parameterTypes)

### ExpressionOperation

    @ConstructorProperties(value={"fieldDeclaration","parameterType"})
    protected ExpressionOperation(String expression,
                                                             Class parameterType)

### ExpressionOperation

    @ConstructorProperties(value={"expression","parameterNames","parameterTypes"})
    protected ExpressionOperation(String expression,
                                                             String[] parameterNames,
                                                             Class[] parameterTypes)

Method Detail

### prepare

    public void prepare(FlowProcess flowProcess,
                        OperationCall<ExpressionOperation.Context> operationCall)

  Description copied from class: `BaseOperation`
  Method prepare does nothing, and may safely be overridden.

  Specified by:
    `prepare` in interface `Operation<ExpressionOperation.Context>`
  Overrides:
    `prepare` in class `BaseOperation<ExpressionOperation.Context>`

### evaluate

    protected Comparable evaluate(ExpressionOperation.Context context,
                                  TupleEntry input)

  Performs the actual expression evaluation.

  Parameters:
    `context` -
    `input` - of type TupleEntry @return Comparable

### equals

    public boolean equals(Object object)

  Overrides:
    `equals` in class `BaseOperation<ExpressionOperation.Context>`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `BaseOperation<ExpressionOperation.Context>`

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.